package com.bankaudit.dto.process;

import java.util.Date;
import java.util.List;
import java.util.Map;

public class AuditLettersJasperDto {
	
	private Integer legalEntityCode;
	private String auditId;
	private String auditTypeCode;
	
	private String userInput01;
	private String userInput02;
	private String userInput03;
	private String userInput04;
	private String userInput05;
	private String userInput06;
	private String userInput07;
	private String userInput08;
	private String userInput09;
	private String userInput10;
	private String userInput11;
	private String userInput12;
	private String userInput13;
	private String userInput14;
	private String userInput15;
	private String userInput16;
	private String userInput17;
	private String userInput18;
	private String userInput19;
	private String userInput20;
	private String userInput21;
	private String userInput22;
	private String userInput23;
	private String userInput24;
	private String userInput25;
	private String userInput26;
	private String userInput27;
	private String userInput28;
	private String userInput29;
	private String userInput30;
	  
	private String userInput31; 
	private String userInput32; 
	private String userInput33; 
	private String userInput34; 
	private String userInput35; 
	private String userInput36; 
	private String userInput37; 
	private String userInput38; 
	private String userInput39; 
	private String userInput40; 
	private String userInput41; 
	private String userInput42; 
	private String userInput43; 
	private String userInput44; 
	private String userInput45; 
	private String userInput46; 
	private String userInput47; 
	private String userInput48; 
	private String userInput49; 
	private String userInput50; 
	private String userInput51; 
	private String userInput52; 
	private String userInput53; 
	private String userInput54; 
	private String userInput55; 
	private String userInput56; 
	private String userInput57; 
	private String userInput58; 
	private String userInput59; 
	private String userInput60; 
	private String userInput61; 
	private String userInput62; 
	private String userInput63; 
	private String userInput64; 
	private String userInput65; 
	private String userInput66; 
	private String userInput67; 
	private String userInput68; 
	private String userInput69; 
	private String userInput70; 
	private String userInput71; 
	private String userInput72; 
	private String userInput73; 
	private String userInput74; 
	private String userInput75; 
	private String userInput76; 
	private String userInput77; 
	private String userInput78; 
	private String userInput79; 
	private String userInput80;
	
	private String reviewerRemarks;
	private String unitCode;
	private String unitName;
	private String address1;
	private String address2;
	private String address3;
	private String city;
	private String district;
	private String state;
	private String country;
	private String pincode;
	
	private String parentUnitCode;
	private String parentUnitName;
	private String parentAddress1;
	private String parentAddress2;
	private String parentAddress3;
	private String parentCity;
	private String parentDistrict;
	private String parentState;
	private String parentCountry;
	private String parentPincode;
	private String parentUnitNameHindi;
	
	private String serialNo;
	private String serialNoRoman;
	private Date auditStartDate;
	private Date auditEndDate;
	private Date finYrDate;
	private Date dispatchDate;
	private Date finaliseDate;
	private String leadId;
	private String leadName;
	private String leadDesignation;
	private String members;
	private String reportStatus;
	private boolean isAuthAllowed;
	private String pageInfo;
	private String pageInfoAlign;
	
	private String NABARD;
	private String HO ;
	private String RO;
	private String SUPERVISION; 
	private String statement2; 
	private String statement3;
	private String statementRN_15_1;
	private String statementRN_10_2;
	private String statementRN_10_3;
	private String HO_CITY ;
	
	private Map<String, String> parameterMap;	
	private Map<String, String> dliDpiParamMap;
	private Map<String, String> parameterChklstDrvStmntMap;
	private Map<String, String> compositeRatingMap;
	private List<AuditLettersStatementsJasperDto> statementsRemarksList;
	private List<NonCompliancePersistenceChecklistDto>  nonCompliancePersistenceChecklistDtoList;
	private List<AuditLetterBiLingualDto> auditLetterBiLingualDtoList;
		
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getUserInput01() {
		return userInput01;
	}
	public void setUserInput01(String userInput01) {
		this.userInput01 = userInput01;
	}
	public String getUserInput02() {
		return userInput02;
	}
	public void setUserInput02(String userInput02) {
		this.userInput02 = userInput02;
	}
	public String getUserInput03() {
		return userInput03;
	}
	public void setUserInput03(String userInput03) {
		this.userInput03 = userInput03;
	}
	public String getUserInput04() {
		return userInput04;
	}
	public void setUserInput04(String userInput04) {
		this.userInput04 = userInput04;
	}
	public String getUserInput05() {
		return userInput05;
	}
	public void setUserInput05(String userInput05) {
		this.userInput05 = userInput05;
	}
	public String getUserInput06() {
		return userInput06;
	}
	public void setUserInput06(String userInput06) {
		this.userInput06 = userInput06;
	}
	public String getUserInput07() {
		return userInput07;
	}
	public void setUserInput07(String userInput07) {
		this.userInput07 = userInput07;
	}
	public String getUserInput08() {
		return userInput08;
	}
	public void setUserInput08(String userInput08) {
		this.userInput08 = userInput08;
	}
	public String getUserInput09() {
		return userInput09;
	}
	public void setUserInput09(String userInput09) {
		this.userInput09 = userInput09;
	}
	public String getUserInput10() {
		return userInput10;
	}
	public void setUserInput10(String userInput10) {
		this.userInput10 = userInput10;
	}
	public String getUserInput11() {
		return userInput11;
	}
	public void setUserInput11(String userInput11) {
		this.userInput11 = userInput11;
	}
	public String getUserInput12() {
		return userInput12;
	}
	public void setUserInput12(String userInput12) {
		this.userInput12 = userInput12;
	}
	public String getUserInput13() {
		return userInput13;
	}
	public void setUserInput13(String userInput13) {
		this.userInput13 = userInput13;
	}
	public String getUserInput14() {
		return userInput14;
	}
	public void setUserInput14(String userInput14) {
		this.userInput14 = userInput14;
	}
	public String getUserInput15() {
		return userInput15;
	}
	public void setUserInput15(String userInput15) {
		this.userInput15 = userInput15;
	}
	public String getUserInput16() {
		return userInput16;
	}
	public void setUserInput16(String userInput16) {
		this.userInput16 = userInput16;
	}
	public String getUserInput17() {
		return userInput17;
	}
	public void setUserInput17(String userInput17) {
		this.userInput17 = userInput17;
	}
	public String getUserInput18() {
		return userInput18;
	}
	public void setUserInput18(String userInput18) {
		this.userInput18 = userInput18;
	}
	public String getUserInput19() {
		return userInput19;
	}
	public void setUserInput19(String userInput19) {
		this.userInput19 = userInput19;
	}
	public String getUserInput20() {
		return userInput20;
	}
	public void setUserInput20(String userInput20) {
		this.userInput20 = userInput20;
	}
	public String getUserInput21() {
		return userInput21;
	}
	public void setUserInput21(String userInput21) {
		this.userInput21 = userInput21;
	}
	public String getUserInput22() {
		return userInput22;
	}
	public void setUserInput22(String userInput22) {
		this.userInput22 = userInput22;
	}
	public String getUserInput23() {
		return userInput23;
	}
	public void setUserInput23(String userInput23) {
		this.userInput23 = userInput23;
	}
	public String getUserInput24() {
		return userInput24;
	}
	public void setUserInput24(String userInput24) {
		this.userInput24 = userInput24;
	}
	public String getUserInput25() {
		return userInput25;
	}
	public void setUserInput25(String userInput25) {
		this.userInput25 = userInput25;
	}
	public String getUserInput26() {
		return userInput26;
	}
	public void setUserInput26(String userInput26) {
		this.userInput26 = userInput26;
	}
	public String getUserInput27() {
		return userInput27;
	}
	public void setUserInput27(String userInput27) {
		this.userInput27 = userInput27;
	}
	public String getUserInput28() {
		return userInput28;
	}
	public void setUserInput28(String userInput28) {
		this.userInput28 = userInput28;
	}
	public String getUserInput29() {
		return userInput29;
	}
	public void setUserInput29(String userInput29) {
		this.userInput29 = userInput29;
	}
	public String getUserInput30() {
		return userInput30;
	}
	public void setUserInput30(String userInput30) {
		this.userInput30 = userInput30;
	}	
	
	public String getReviewerRemarks() {
		return reviewerRemarks;
	}
	public void setReviewerRemarks(String reviewerRemarks) {
		this.reviewerRemarks = reviewerRemarks;
	}
	public String getUnitCode() {
		return unitCode;
	}
	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}
	public String getUnitName() {
		return unitName;
	}
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}
	public String getAddress1() {
		return address1;
	}
	public void setAddress1(String address1) {
		this.address1 = address1;
	}
	public String getAddress2() {
		return address2;
	}
	public void setAddress2(String address2) {
		this.address2 = address2;
	}
	public String getAddress3() {
		return address3;
	}
	public void setAddress3(String address3) {
		this.address3 = address3;
	}
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getDistrict() {
		return district;
	}
	public void setDistrict(String district) {
		this.district = district;
	}
	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}
	public String getCountry() {
		return country;
	}
	public void setCountry(String country) {
		this.country = country;
	}
	public String getPincode() {
		return pincode;
	}
	public void setPincode(String pincode) {
		this.pincode = pincode;
	}
	public String getParentUnitCode() {
		return parentUnitCode;
	}
	public void setParentUnitCode(String parentUnitCode) {
		this.parentUnitCode = parentUnitCode;
	}
	public String getParentUnitName() {
		return parentUnitName;
	}
	public void setParentUnitName(String parentUnitName) {
		this.parentUnitName = parentUnitName;
	}
	public String getParentAddress1() {
		return parentAddress1;
	}
	public void setParentAddress1(String parentAddress1) {
		this.parentAddress1 = parentAddress1;
	}
	public String getParentAddress2() {
		return parentAddress2;
	}
	public void setParentAddress2(String parentAddress2) {
		this.parentAddress2 = parentAddress2;
	}
	public String getParentAddress3() {
		return parentAddress3;
	}
	public void setParentAddress3(String parentAddress3) {
		this.parentAddress3 = parentAddress3;
	}
	public String getParentCity() {
		return parentCity;
	}
	public void setParentCity(String parentCity) {
		this.parentCity = parentCity;
	}
	public String getParentDistrict() {
		return parentDistrict;
	}
	public void setParentDistrict(String parentDistrict) {
		this.parentDistrict = parentDistrict;
	}
	public String getParentState() {
		return parentState;
	}
	public void setParentState(String parentState) {
		this.parentState = parentState;
	}
	public String getParentCountry() {
		return parentCountry;
	}
	public void setParentCountry(String parentCountry) {
		this.parentCountry = parentCountry;
	}
	public String getParentPincode() {
		return parentPincode;
	}
	public void setParentPincode(String parentPincode) {
		this.parentPincode = parentPincode;
	}
	public String getParentUnitNameHindi() {
		return parentUnitNameHindi;
	}
	public void setParentUnitNameHindi(String parentUnitNameHindi) {
		this.parentUnitNameHindi = parentUnitNameHindi;
	}
	public String getSerialNo() {
		return serialNo;
	}
	public void setSerialNo(String serialNo) {
		this.serialNo = serialNo;
	}
	public String getSerialNoRoman() {
		return serialNoRoman;
	}
	public void setSerialNoRoman(String serialNoRoman) {
		this.serialNoRoman = serialNoRoman;
	}
	public Date getAuditStartDate() {
		return auditStartDate;
	}
	public void setAuditStartDate(Date auditStartDate) {
		this.auditStartDate = auditStartDate;
	}
	public Date getAuditEndDate() {
		return auditEndDate;
	}
	public void setAuditEndDate(Date auditEndDate) {
		this.auditEndDate = auditEndDate;
	}
	public Date getFinYrDate() {
		return finYrDate;
	}
	public void setFinYrDate(Date finYrDate) {
		this.finYrDate = finYrDate;
	}
	public Date getDispatchDate() {
		return dispatchDate;
	}
	public void setDispatchDate(Date dispatchDate) {
		this.dispatchDate = dispatchDate;
	}
	public Date getFinaliseDate() {
		return finaliseDate;
	}
	public void setFinaliseDate(Date finaliseDate) {
		this.finaliseDate = finaliseDate;
	}
	public String getLeadId() {
		return leadId;
	}
	public void setLeadId(String leadId) {
		this.leadId = leadId;
	}
	public String getLeadName() {
		return leadName;
	}
	public void setLeadName(String leadName) {
		this.leadName = leadName;
	}
	public String getLeadDesignation() {
		return leadDesignation;
	}
	public void setLeadDesignation(String leadDesignation) {
		this.leadDesignation = leadDesignation;
	}
	public String getMembers() {
		return members;
	}
	public void setMembers(String members) {
		this.members = members;
	}
	public String getReportStatus() {
		return reportStatus;
	}
	public void setReportStatus(String reportStatus) {
		this.reportStatus = reportStatus;
	}
	public boolean isAuthAllowed() {
		return isAuthAllowed;
	}
	public void setAuthAllowed(boolean isAuthAllowed) {
		this.isAuthAllowed = isAuthAllowed;
	}
	public String getNABARD() {
		return NABARD;
	}
	public void setNABARD(String nABARD) {
		NABARD = nABARD;
	}	
	public String getPageInfo() {
		return pageInfo;
	}
	public void setPageInfo(String pageInfo) {
		this.pageInfo = pageInfo;
	}	
	public String getPageInfoAlign() {
		return pageInfoAlign;
	}
	public void setPageInfoAlign(String pageInfoAlign) {
		this.pageInfoAlign = pageInfoAlign;
	}
	public String getHO() {
		return HO;
	}
	public void setHO(String hO) {
		HO = hO;
	}
	public String getRO() {
		return RO;
	}
	public void setRO(String rO) {
		RO = rO;
	}
	public String getSUPERVISION() {
		return SUPERVISION;
	}
	public void setSUPERVISION(String sUPERVISION) {
		SUPERVISION = sUPERVISION;
	}
	public String getStatement2() {
		return statement2;
	}
	public void setStatement2(String statement2) {
		this.statement2 = statement2;
	}
	public String getStatement3() {
		return statement3;
	}
	public void setStatement3(String statement3) {
		this.statement3 = statement3;
	}
	public Map<String, String> getParameterMap() {
		return parameterMap;
	}
	public void setParameterMap(Map<String, String> parameterMap) {
		this.parameterMap = parameterMap;
	}	
	public Map<String, String> getDliDpiParamMap() {
		return dliDpiParamMap;
	}
	public void setDliDpiParamMap(Map<String, String> dliDpiParamMap) {
		this.dliDpiParamMap = dliDpiParamMap;
	}
	public Map<String, String> getParameterChklstDrvStmntMap() {
		return parameterChklstDrvStmntMap;
	}
	public void setParameterChklstDrvStmntMap(Map<String, String> parameterChklstDrvStmntMap) {
		this.parameterChklstDrvStmntMap = parameterChklstDrvStmntMap;
	}	
	public Map<String, String> getCompositeRatingMap() {
		return compositeRatingMap;
	}
	public void setCompositeRatingMap(Map<String, String> compositeRatingMap) {
		this.compositeRatingMap = compositeRatingMap;
	}
	public List<AuditLettersStatementsJasperDto> getStatementsRemarksList() {
		return statementsRemarksList;
	}
	public void setStatementsRemarksList(List<AuditLettersStatementsJasperDto> statementsRemarksList) {
		this.statementsRemarksList = statementsRemarksList;
	}
	public String getStatementRN_15_1() {
		return statementRN_15_1;
	}
	public void setStatementRN_15_1(String statementRN_15_1) {
		this.statementRN_15_1 = statementRN_15_1;
	}
	public String getHO_CITY() {
		return HO_CITY;
	}
	public void setHO_CITY(String hO_CITY) {
		HO_CITY = hO_CITY;
	}
	public String getStatementRN_10_2() {
		return statementRN_10_2;
	}
	public void setStatementRN_10_2(String statementRN_10_2) {
		this.statementRN_10_2 = statementRN_10_2;
	}
	public String getStatementRN_10_3() {
		return statementRN_10_3;
	}
	public void setStatementRN_10_3(String statementRN_10_3) {
		this.statementRN_10_3 = statementRN_10_3;
	}
	public String getUserInput31() {
		return userInput31;
	}
	public void setUserInput31(String userInput31) {
		this.userInput31 = userInput31;
	}
	public String getUserInput32() {
		return userInput32;
	}
	public void setUserInput32(String userInput32) {
		this.userInput32 = userInput32;
	}
	public String getUserInput33() {
		return userInput33;
	}
	public void setUserInput33(String userInput33) {
		this.userInput33 = userInput33;
	}
	public String getUserInput34() {
		return userInput34;
	}
	public void setUserInput34(String userInput34) {
		this.userInput34 = userInput34;
	}
	public String getUserInput35() {
		return userInput35;
	}
	public void setUserInput35(String userInput35) {
		this.userInput35 = userInput35;
	}
	public String getUserInput36() {
		return userInput36;
	}
	public void setUserInput36(String userInput36) {
		this.userInput36 = userInput36;
	}
	public String getUserInput37() {
		return userInput37;
	}
	public void setUserInput37(String userInput37) {
		this.userInput37 = userInput37;
	}
	public String getUserInput38() {
		return userInput38;
	}
	public void setUserInput38(String userInput38) {
		this.userInput38 = userInput38;
	}
	public String getUserInput39() {
		return userInput39;
	}
	public void setUserInput39(String userInput39) {
		this.userInput39 = userInput39;
	}
	public String getUserInput40() {
		return userInput40;
	}
	public void setUserInput40(String userInput40) {
		this.userInput40 = userInput40;
	}
	public String getUserInput41() {
		return userInput41;
	}
	public void setUserInput41(String userInput41) {
		this.userInput41 = userInput41;
	}
	public String getUserInput42() {
		return userInput42;
	}
	public void setUserInput42(String userInput42) {
		this.userInput42 = userInput42;
	}
	public String getUserInput43() {
		return userInput43;
	}
	public void setUserInput43(String userInput43) {
		this.userInput43 = userInput43;
	}
	public String getUserInput44() {
		return userInput44;
	}
	public void setUserInput44(String userInput44) {
		this.userInput44 = userInput44;
	}
	public String getUserInput45() {
		return userInput45;
	}
	public void setUserInput45(String userInput45) {
		this.userInput45 = userInput45;
	}
	public String getUserInput46() {
		return userInput46;
	}
	public void setUserInput46(String userInput46) {
		this.userInput46 = userInput46;
	}
	public String getUserInput47() {
		return userInput47;
	}
	public void setUserInput47(String userInput47) {
		this.userInput47 = userInput47;
	}
	public String getUserInput48() {
		return userInput48;
	}
	public void setUserInput48(String userInput48) {
		this.userInput48 = userInput48;
	}
	public String getUserInput49() {
		return userInput49;
	}
	public void setUserInput49(String userInput49) {
		this.userInput49 = userInput49;
	}
	public String getUserInput50() {
		return userInput50;
	}
	public void setUserInput50(String userInput50) {
		this.userInput50 = userInput50;
	}
	public String getUserInput51() {
		return userInput51;
	}
	public void setUserInput51(String userInput51) {
		this.userInput51 = userInput51;
	}
	public String getUserInput52() {
		return userInput52;
	}
	public void setUserInput52(String userInput52) {
		this.userInput52 = userInput52;
	}
	public String getUserInput53() {
		return userInput53;
	}
	public void setUserInput53(String userInput53) {
		this.userInput53 = userInput53;
	}
	public String getUserInput54() {
		return userInput54;
	}
	public void setUserInput54(String userInput54) {
		this.userInput54 = userInput54;
	}
	public String getUserInput55() {
		return userInput55;
	}
	public void setUserInput55(String userInput55) {
		this.userInput55 = userInput55;
	}
	public String getUserInput56() {
		return userInput56;
	}
	public void setUserInput56(String userInput56) {
		this.userInput56 = userInput56;
	}
	public String getUserInput57() {
		return userInput57;
	}
	public void setUserInput57(String userInput57) {
		this.userInput57 = userInput57;
	}
	public String getUserInput58() {
		return userInput58;
	}
	public void setUserInput58(String userInput58) {
		this.userInput58 = userInput58;
	}
	public String getUserInput59() {
		return userInput59;
	}
	public void setUserInput59(String userInput59) {
		this.userInput59 = userInput59;
	}
	public String getUserInput60() {
		return userInput60;
	}
	public void setUserInput60(String userInput60) {
		this.userInput60 = userInput60;
	}
	public String getUserInput61() {
		return userInput61;
	}
	public void setUserInput61(String userInput61) {
		this.userInput61 = userInput61;
	}
	public String getUserInput62() {
		return userInput62;
	}
	public void setUserInput62(String userInput62) {
		this.userInput62 = userInput62;
	}
	public String getUserInput63() {
		return userInput63;
	}
	public void setUserInput63(String userInput63) {
		this.userInput63 = userInput63;
	}
	public String getUserInput64() {
		return userInput64;
	}
	public void setUserInput64(String userInput64) {
		this.userInput64 = userInput64;
	}
	public String getUserInput65() {
		return userInput65;
	}
	public void setUserInput65(String userInput65) {
		this.userInput65 = userInput65;
	}
	public String getUserInput66() {
		return userInput66;
	}
	public void setUserInput66(String userInput66) {
		this.userInput66 = userInput66;
	}
	public String getUserInput67() {
		return userInput67;
	}
	public void setUserInput67(String userInput67) {
		this.userInput67 = userInput67;
	}
	public String getUserInput68() {
		return userInput68;
	}
	public void setUserInput68(String userInput68) {
		this.userInput68 = userInput68;
	}
	public String getUserInput69() {
		return userInput69;
	}
	public void setUserInput69(String userInput69) {
		this.userInput69 = userInput69;
	}
	public String getUserInput70() {
		return userInput70;
	}
	public void setUserInput70(String userInput70) {
		this.userInput70 = userInput70;
	}
	public String getUserInput71() {
		return userInput71;
	}
	public void setUserInput71(String userInput71) {
		this.userInput71 = userInput71;
	}
	public String getUserInput72() {
		return userInput72;
	}
	public void setUserInput72(String userInput72) {
		this.userInput72 = userInput72;
	}
	public String getUserInput73() {
		return userInput73;
	}
	public void setUserInput73(String userInput73) {
		this.userInput73 = userInput73;
	}
	public String getUserInput74() {
		return userInput74;
	}
	public void setUserInput74(String userInput74) {
		this.userInput74 = userInput74;
	}
	public String getUserInput75() {
		return userInput75;
	}
	public void setUserInput75(String userInput75) {
		this.userInput75 = userInput75;
	}
	public String getUserInput76() {
		return userInput76;
	}
	public void setUserInput76(String userInput76) {
		this.userInput76 = userInput76;
	}
	public String getUserInput77() {
		return userInput77;
	}
	public void setUserInput77(String userInput77) {
		this.userInput77 = userInput77;
	}
	public String getUserInput78() {
		return userInput78;
	}
	public void setUserInput78(String userInput78) {
		this.userInput78 = userInput78;
	}
	public String getUserInput79() {
		return userInput79;
	}
	public void setUserInput79(String userInput79) {
		this.userInput79 = userInput79;
	}
	public String getUserInput80() {
		return userInput80;
	}
	public void setUserInput80(String userInput80) {
		this.userInput80 = userInput80;
	}
	public List<NonCompliancePersistenceChecklistDto> getNonCompliancePersistenceChecklistDtoList() {
		return nonCompliancePersistenceChecklistDtoList;
	}
	public void setNonCompliancePersistenceChecklistDtoList(
			List<NonCompliancePersistenceChecklistDto> nonCompliancePersistenceChecklistDtoList) {
		this.nonCompliancePersistenceChecklistDtoList = nonCompliancePersistenceChecklistDtoList;
	}
	public List<AuditLetterBiLingualDto> getAuditLetterBiLingualDtoList() {
		return auditLetterBiLingualDtoList;
	}
	public void setAuditLetterBiLingualDtoList(List<AuditLetterBiLingualDto> auditLetterBiLingualDtoList) {
		this.auditLetterBiLingualDtoList = auditLetterBiLingualDtoList;
	} 
	
}
